PETSc version 3.15.5
Fix/Edit manual page

# MATSCALAPACK

"scalapack" - A matrix type for dense matrices using the ScaLAPACK package Use ./configure --download-scalapack to install PETSc to use ScaLAPACK

Use -pc_type lu -pc_factor_mat_solver_type scalapack to use this direct solver

### Options Database Keys

| -mat_type scalapack | - sets the matrix type to "scalapack" during a call to MatSetFromOptions()
| -mat_scalapack_grid_height | - sets Grid Height for 2D cyclic ordering of internal matrix
| -mat_scalapack_block_sizes | - size of the blocks to use (one or two integers separated by comma)

### See Also

MATDENSE, MATELEMENTAL

### Level

beginner

### Location

src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages